## gnometypebuiltins

gnometypebuiltins —

## Synopsis

    #include <libgnomeui/libgnomeui.h>

    #define     GNOME_TYPE_UI_INFO_TYPE
    GType       gnome_ui_info_type_get_type     (void);
    #define     GNOME_TYPE_UI_INFO_CONFIGURABLE_TYPES
    GType       gnome_ui_info_configurable_types_get_type
                                                (void);
    #define     GNOME_TYPE_UI_PIXMAP_TYPE
    GType       gnome_ui_pixmap_type_get_type   (void);
    #define     GNOME_TYPE_INTERACT_STYLE
    GType       gnome_interact_style_get_type   (void);
    #define     GNOME_TYPE_DIALOG_TYPE
    GType       gnome_dialog_type_get_type      (void);
    #define     GNOME_TYPE_SAVE_STYLE
    GType       gnome_save_style_get_type       (void);
    #define     GNOME_TYPE_RESTART_STYLE
    GType       gnome_restart_style_get_type    (void);
    #define     GNOME_TYPE_CLIENT_STATE
    GType       gnome_client_state_get_type     (void);
    #define     GNOME_TYPE_CLIENT_FLAGS
    GType       gnome_client_flags_get_type     (void);
    #define     GNOME_TYPE_DATE_EDIT_FLAGS
    GType       gnome_date_edit_flags_get_type  (void);
    #define     GNOME_TYPE_EDGE_POSITION
    GType       gnome_edge_position_get_type    (void);
    #define     GNOME_TYPE_FONT_PICKER_MODE
    GType       gnome_font_picker_mode_get_type (void);
    #define     GNOME_TYPE_ICON_LIST_MODE
    GType       gnome_icon_list_mode_get_type   (void);
    #define     GNOME_TYPE_MDI_MODE
    GType       gnome_mdi_mode_get_type         (void);
    #define     GNOME_TYPE_PREFERENCES_TYPE
    GType       gnome_preferences_type_get_type (void);
    #define     GNOME_TYPE_THUMBNAIL_SIZE
    GType       gnome_thumbnail_size_get_type   (void);
    #define     GNOME_TYPE_ICON_LOOKUP_FLAGS
    GType       gnome_icon_lookup_flags_get_type
                                                (void);
    #define     GNOME_TYPE_ICON_LOOKUP_RESULT_FLAGS
    GType       gnome_icon_lookup_result_flags_get_type
                                                (void);
    #define     GNOME_TYPE_ICON_THEME
    GType       gnome_icon_theme_get_type       (void);
    #define     GNOME_TYPE_THUMBNAIL_FACTORY
    GType       gnome_thumbnail_factory_get_type
                                                (void);

## Description

## Details

### GNOME_TYPE_UI_INFO_TYPE

    #define GNOME_TYPE_UI_INFO_TYPE gnome_ui_info_type_get_type()

### gnome_ui_info_type_get_type ()

    GType       gnome_ui_info_type_get_type     (void);

Returns : |

### GNOME_TYPE_UI_INFO_CONFIGURABLE_TYPES

    #define GNOME_TYPE_UI_INFO_CONFIGURABLE_TYPES gnome_ui_info_configurable_types_get_type()

### gnome_ui_info_configurable_types_get_type ()

    GType       gnome_ui_info_configurable_types_get_type
                                                (void);

Returns : |

### GNOME_TYPE_UI_PIXMAP_TYPE

    #define GNOME_TYPE_UI_PIXMAP_TYPE gnome_ui_pixmap_type_get_type()

### gnome_ui_pixmap_type_get_type ()

    GType       gnome_ui_pixmap_type_get_type   (void);

Returns : |

### GNOME_TYPE_INTERACT_STYLE

    #define GNOME_TYPE_INTERACT_STYLE gnome_interact_style_get_type()

### gnome_interact_style_get_type ()

    GType       gnome_interact_style_get_type   (void);

Returns : |

### GNOME_TYPE_DIALOG_TYPE

    #define GNOME_TYPE_DIALOG_TYPE gnome_dialog_type_get_type()

### gnome_dialog_type_get_type ()

    GType       gnome_dialog_type_get_type      (void);

Returns : |

### GNOME_TYPE_SAVE_STYLE

    #define GNOME_TYPE_SAVE_STYLE gnome_save_style_get_type()

### gnome_save_style_get_type ()

    GType       gnome_save_style_get_type       (void);

Returns : |

### GNOME_TYPE_RESTART_STYLE

    #define GNOME_TYPE_RESTART_STYLE gnome_restart_style_get_type()

### gnome_restart_style_get_type ()

    GType       gnome_restart_style_get_type    (void);

Returns : |

### GNOME_TYPE_CLIENT_STATE

    #define GNOME_TYPE_CLIENT_STATE gnome_client_state_get_type()

### gnome_client_state_get_type ()

    GType       gnome_client_state_get_type     (void);

Returns : |

### GNOME_TYPE_CLIENT_FLAGS

    #define GNOME_TYPE_CLIENT_FLAGS gnome_client_flags_get_type()

### gnome_client_flags_get_type ()

    GType       gnome_client_flags_get_type     (void);

Returns : |

### GNOME_TYPE_DATE_EDIT_FLAGS

    #define GNOME_TYPE_DATE_EDIT_FLAGS gnome_date_edit_flags_get_type()

### gnome_date_edit_flags_get_type ()

    GType       gnome_date_edit_flags_get_type  (void);

Returns : |

### GNOME_TYPE_EDGE_POSITION

    #define GNOME_TYPE_EDGE_POSITION gnome_edge_position_get_type()

### gnome_edge_position_get_type ()

    GType       gnome_edge_position_get_type    (void);

Returns : |

### GNOME_TYPE_FONT_PICKER_MODE

    #define GNOME_TYPE_FONT_PICKER_MODE gnome_font_picker_mode_get_type()

### gnome_font_picker_mode_get_type ()

    GType       gnome_font_picker_mode_get_type (void);

Returns : |

### GNOME_TYPE_ICON_LIST_MODE

    #define GNOME_TYPE_ICON_LIST_MODE gnome_icon_list_mode_get_type()

### gnome_icon_list_mode_get_type ()

    GType       gnome_icon_list_mode_get_type   (void);

Returns : |

### GNOME_TYPE_MDI_MODE

    #define GNOME_TYPE_MDI_MODE gnome_mdi_mode_get_type()

### gnome_mdi_mode_get_type ()

    GType       gnome_mdi_mode_get_type         (void);

Returns : |

### GNOME_TYPE_PREFERENCES_TYPE

    #define GNOME_TYPE_PREFERENCES_TYPE gnome_preferences_type_get_type()

### gnome_preferences_type_get_type ()

    GType       gnome_preferences_type_get_type (void);

Returns : |

### GNOME_TYPE_THUMBNAIL_SIZE

    #define GNOME_TYPE_THUMBNAIL_SIZE gnome_thumbnail_size_get_type()

### gnome_thumbnail_size_get_type ()

    GType       gnome_thumbnail_size_get_type   (void);

Returns : |

### GNOME_TYPE_ICON_LOOKUP_FLAGS

    #define GNOME_TYPE_ICON_LOOKUP_FLAGS gnome_icon_lookup_flags_get_type()

### gnome_icon_lookup_flags_get_type ()

    GType       gnome_icon_lookup_flags_get_type
                                                (void);

Returns : |

### GNOME_TYPE_ICON_LOOKUP_RESULT_FLAGS

    #define GNOME_TYPE_ICON_LOOKUP_RESULT_FLAGS gnome_icon_lookup_result_flags_get_type()

### gnome_icon_lookup_result_flags_get_type ()

    GType       gnome_icon_lookup_result_flags_get_type
                                                (void);

Returns : |

### GNOME_TYPE_ICON_THEME

    #define GNOME_TYPE_ICON_THEME             (gnome_icon_theme_get_type ())

### gnome_icon_theme_get_type ()

    GType       gnome_icon_theme_get_type       (void);

Returns : |

### GNOME_TYPE_THUMBNAIL_FACTORY

    #define GNOME_TYPE_THUMBNAIL_FACTORY	(gnome_thumbnail_factory_get_type ())

### gnome_thumbnail_factory_get_type ()

    GType       gnome_thumbnail_factory_get_type
                                                (void);

Returns : |